summaryrefslogtreecommitdiff
path: root/dev-ruby/binding_of_caller
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-ruby/binding_of_caller
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-ruby/binding_of_caller')
-rw-r--r--dev-ruby/binding_of_caller/Manifest1
-rw-r--r--dev-ruby/binding_of_caller/binding_of_caller-1.0.1.ebuild31
-rw-r--r--dev-ruby/binding_of_caller/metadata.xml9
3 files changed, 41 insertions, 0 deletions
diff --git a/dev-ruby/binding_of_caller/Manifest b/dev-ruby/binding_of_caller/Manifest
new file mode 100644
index 000000000000..c259e0abaef9
--- /dev/null
+++ b/dev-ruby/binding_of_caller/Manifest
@@ -0,0 +1 @@
+DIST binding_of_caller-1.0.1.tar.gz 7514 BLAKE2B 1a6786d4fa2a01f72bf5b38f8fced3950826488501fa15fb8b37188e345d6a93ce8a4598f7c4c0048ca05bfae8ff23daab8a0fb89da3140f83f20dbca60ae1f3 SHA512 ebdcb2e0e41efef38eec2aa814f4d875249e1fb4f4719238fae2c92533a37324fe64bc9edbebddf2d240f0c3dd213fddf1584cb9841e4fc946c6aecbe8543e34
diff --git a/dev-ruby/binding_of_caller/binding_of_caller-1.0.1.ebuild b/dev-ruby/binding_of_caller/binding_of_caller-1.0.1.ebuild
new file mode 100644
index 000000000000..af4a1c399335
--- /dev/null
+++ b/dev-ruby/binding_of_caller/binding_of_caller-1.0.1.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_GEMSPEC="binding_of_caller.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Retrieve the binding of a method's caller"
+HOMEPAGE="https://github.com/banister/binding_of_caller"
+SRC_URI="https://github.com/banister/binding_of_caller/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+ruby_add_rdepend ">=dev-ruby/debug_inspector-1.2.0"
+
+all_ruby_prepare() {
+ sed -i -e "s:_relative ': './:" -e 's/git ls-files -z/find * -print0/' ${RUBY_FAKEGEM_GEMSPEC} || die
+ sed -i -e '/bundler/ s:^:#:' spec/spec_helper.rb || die
+}
diff --git a/dev-ruby/binding_of_caller/metadata.xml b/dev-ruby/binding_of_caller/metadata.xml
new file mode 100644
index 000000000000..c685ebad7e3a
--- /dev/null
+++ b/dev-ruby/binding_of_caller/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>